aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools
diff options
context:
space:
mode:
authorGravatar Mehrdad Afshari <mmx@google.com>2017-06-27 17:18:09 -0700
committerGravatar Mehrdad Afshari <mmx@google.com>2017-12-15 13:31:44 -0800
commit3d1dc96f4751857f164af191228834a7dd42f162 (patch)
treee3913a9bd89f1fbafabafbac60dc980e04615b60 /tools
parent4da34aa8f0257174ceb2fd811f2af1a5edab1392 (diff)
Fix run_python.sh to pass shellcheck
Diffstat (limited to 'tools')
-rwxr-xr-xtools/run_tests/helper_scripts/run_python.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/tools/run_tests/helper_scripts/run_python.sh b/tools/run_tests/helper_scripts/run_python.sh
index 90f28c8ba8..bcfe3a6577 100755
--- a/tools/run_tests/helper_scripts/run_python.sh
+++ b/tools/run_tests/helper_scripts/run_python.sh
@@ -16,15 +16,15 @@
set -ex
# change to grpc repo root
-cd $(dirname $0)/../../..
+cd "$(dirname "$0")/../../.."
-PYTHON=`realpath "${1:-py27/bin/python}"`
+PYTHON=$(realpath "${1:-py27/bin/python}")
-ROOT=`pwd`
+ROOT=$(pwd)
-$PYTHON $ROOT/src/python/grpcio_tests/setup.py test_lite
+$PYTHON "$ROOT/src/python/grpcio_tests/setup.py" test_lite
-mkdir -p $ROOT/reports
-rm -rf $ROOT/reports/python-coverage
-(mv -T $ROOT/htmlcov $ROOT/reports/python-coverage) || true
+mkdir -p "$ROOT/reports"
+rm -rf "$ROOT/reports/python-coverage"
+(mv -T "$ROOT/htmlcov" "$ROOT/reports/python-coverage") || true